Bug 17974 - Add the Koha::Item->biblio method
Summary: Add the Koha::Item->biblio method
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18264 17966
  Show dependency treegraph
 
Reported: 2017-01-23 16:56 UTC by Jonathan Druart
Modified: 2017-07-31 11:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17974: Add the Koha::Item->biblio method (1.87 KB, patch)
2017-01-23 16:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17974: Add the Koha::Item->biblio method (1.94 KB, patch)
2017-01-23 21:41 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17974: Add the Koha::Item->biblio method (1.98 KB, patch)
2017-02-16 11:08 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17974 (QA Followup) (892 bytes, patch)
2017-02-16 11:08 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-23 16:56:49 UTC

    
Comment 1 Jonathan Druart 2017-01-23 16:59:31 UTC
Created attachment 59441 [details] [review]
Bug 17974: Add the Koha::Item->biblio method

Test plan:
  prove t/db_dependent/Koha/Items.t
should return green
Comment 2 Josef Moravec 2017-01-23 21:41:11 UTC
Created attachment 59464 [details] [review]
[SIGNED-OFF] Bug 17974: Add the Koha::Item->biblio method

Test plan:
  prove t/db_dependent/Koha/Items.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Nick Clemens 2017-02-16 11:08:11 UTC
Created attachment 60327 [details] [review]
Bug 17974: Add the Koha::Item->biblio method

Test plan:
  prove t/db_dependent/Koha/Items.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2017-02-16 11:08:20 UTC
Created attachment 60328 [details] [review]
Bug 17974 (QA Followup)

Use the $biblio_rs variable

    In case of Koha::Object you can call new_from_dbic directly, however,
    it fails for Koha::Objects so using an intermediary variable should
    be done for consistency
Comment 5 Kyle M Hall 2017-02-17 12:12:20 UTC
Pushed to master for 17.05, thanks Jonathan, Nick!
Comment 6 Katrin Fischer 2017-02-19 20:24:52 UTC
This won't get ported back to 16.11.x as it is an enhancement.
Comment 7 Katrin Fischer 2017-06-05 13:45:03 UTC
Reconsidered decision and pushed to 16.11.x as this is a dependency on bug 18264.
Comment 8 Mason James 2017-07-31 11:15:23 UTC
Pushed to 16.05.x, for 16.05.15 release